diff -urN viewcvs-0.9.2/cgi/viewcvs.conf.dist viewcvs/cgi/viewcvs.conf.dist
--- viewcvs-0.9.2/cgi/viewcvs.conf.dist	2001-12-22 23:13:34.000000000 -0500
+++ viewcvs/cgi/viewcvs.conf.dist	2002-05-20 12:16:10.000000000 -0400
@@ -67,7 +67,6 @@
 # roots should be separated by commas.
 #
 cvs_roots =
-	Development : /home/cvsroot
 
 # this is the name of the default CVS root.
 default_root = Development
@@ -360,7 +359,7 @@
 diff_font_size = -1
 
 # should we use 'enscript' for syntax coloring?
-use_enscript = 0
+use_enscript = 1
 
 #
 # if the enscript program is not on the path, set this value
@@ -379,15 +378,13 @@
 #
 # ViewCVS can generate tarball from a repository on the fly.
 #
-allow_tar = 0
-# allow_tar = 1
+allow_tar = 1
 
 #
 # Use CvsGraph. See http://www.akhphd.au.dk/~bertho/cvsgraph/ for
 # documentation and download. 
 #
-use_cvsgraph = 0
-# use_cvsgraph = 1
+use_cvsgraph = 1
 
 #
 # if the cvsgraph program is not on the path, set this value
@@ -399,7 +396,7 @@
 # Location of the customized cvsgraph configuration file.  
 # You will need an absolute pathname here:
 #
-cvsgraph_conf = <VIEWCVS_INSTALL_DIRECTORY>/cvsgraph.conf
+cvsgraph_conf = /usr/share/viewcvs/cvsgraph.conf
 
 #
 # Set to enable regular expression search of all files in a directory
diff -urN viewcvs-0.9.2/lib/cvsdb.py viewcvs/lib/cvsdb.py
--- viewcvs-0.9.2/lib/cvsdb.py	2001-11-18 05:29:31.000000000 -0500
+++ viewcvs/lib/cvsdb.py	2002-05-20 12:16:10.000000000 -0400
@@ -412,11 +412,8 @@
             ## is broken, dateobject.ticks() returns somthing like
             ## GMT ticks, except it forgets about daylight savings
             ## time -- we handle it ourself in the following painful way
-            gmt_time = time.mktime(
-                (dbCI_When.year, dbCI_When.month, dbCI_When.day,
-                 dbCI_When.hour, dbCI_When.minute, dbCI_When.second,
-                 0, 0, dbCI_When.dst))
-    
+            gmt_time = time.mktime(time.strptime(dbCI_When, '%Y-%m-%d %T'))
+            
             commit.SetTime(gmt_time)
             
             commit.SetFile(self.GetFile(dbFileID))
diff -urN viewcvs-0.9.2/lib/viewcvs.py viewcvs/lib/viewcvs.py
--- viewcvs-0.9.2/lib/viewcvs.py	2002-01-15 04:35:55.000000000 -0500
+++ viewcvs/lib/viewcvs.py	2002-05-20 12:36:04.000000000 -0400
@@ -174,7 +174,7 @@
     # parse the query params into a dictionary (and use defaults)
     query_dict = default_settings.copy()
     for name, values in cgi.parse().items():
-      query_dict[name] = values[0]
+      query_dict[name] = cgi.escape(values[0])
 
     # set up query strings, prefixed by question marks and ampersands
     query = sticky_query(query_dict)
@@ -478,7 +478,7 @@
 def markup_stream_enscript(lang, fp):
   sys.stdout.flush()
   enscript = popen.pipe_cmds([(os.path.normpath(os.path.join(cfg.options.enscript_path,'enscript')),
-                               '--color', '-W', 'html', '-E' + lang, '-o',
+                               '--color', '--language=html', '-E' + lang, '-o',
                                '-', '-'),
                               ('sed', '-n', '/^<PRE>$/,/<\\/PRE>$/p')])
 
@@ -1416,7 +1416,7 @@
     tar_basename = os.path.basename(where) 
     if not tar_basename:
       tar_basename = "cvs_root"
-    url = tar_basename + '.tar.gz?tarball=1' + request.amp_query
+    url = tar_basename + '.tar.bz2?tarball=1' + request.amp_query
     data['tarball_href'] = url
 
   http_header()
@@ -2512,7 +2512,7 @@
   tag = query_dict.get('only_with_tag')
 
   http_header('application/octet-stream')
-  fp = popen.pipe_cmds([('gzip', '-c', '-n')])
+  fp = popen.pipe_cmds([('bzip2', '-c', '-q')])
   generate_tarball(fp, os.path.basename(directory), directory, tag)
   fp.write('\0' * 1024)
   fp.close()
@@ -2602,7 +2602,7 @@
        and query_dict.has_key('r1') and query_dict.has_key('r2'):
     view_diff(request, full_name[:-5])
   elif cfg.options.allow_tar \
-       and full_name[-7:] == '.tar.gz' and query_dict.has_key('tarball'):
+       and full_name[-8:] == '.tar.bz2' and query_dict.has_key('tarball'):
     download_tarball(request)
   elif request.has_docroot_magic:
     view_doc(request)
diff -urN viewcvs-0.9.2/viewcvs-install viewcvs/viewcvs-install
--- viewcvs-0.9.2/viewcvs-install	2001-12-21 06:59:45.000000000 -0500
+++ viewcvs/viewcvs-install	2002-05-20 12:32:06.000000000 -0400
@@ -51,7 +51,7 @@
 """ % version
 
 ## installer defaults
-ROOT_DIR = "/usr/local/viewcvs-" + version
+ROOT_DIR = "/usr/share/viewcvs"
 
 
 ## list of files for installation
@@ -65,11 +65,11 @@
     ("cgi/query.cgi", "cgi/query.cgi", 0755, 1, 0, 0),
     ("standalone.py", "standalone.py", 0755, 1, 0, 0),
 
-    ("cgi/viewcvs.conf.dist", "viewcvs.conf", 0644, 1,
+    ("cgi/viewcvs.conf.dist", "viewcvs.conf.default", 0600, 1,
 	     """Note: If you are upgrading from viewcvs-0.7 or earlier: 
 The section [text] has been removed from viewcvs.conf.  The functionality
 went into the new files in subdirectory templates.""", 0),
-    ("cgi/cvsgraph.conf.dist", "cvsgraph.conf", 0644, 0, 1, 0),
+    ("cgi/cvsgraph.conf.dist", "cvsgraph.conf.default", 0600, 0, 1, 0),
 
     ("lib/PyFontify.py", "lib/PyFontify.py", 0644, 0, 0, 1),
     ("lib/blame.py", "lib/blame.py", 0644, 0, 0, 1),
@@ -244,12 +244,6 @@
 if __name__ == "__main__":
     print INFO_TEXT
     
-    ## get the install path
-    temp = raw_input("Installation Path [%s]: " % ROOT_DIR)
-    temp = string.strip(temp)
-    if len(temp):
-        ROOT_DIR = temp
-        
     ## install the files
     print
     print "Installing ViewCVS to:", ROOT_DIR
